| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::StrokeParameters Struct Reference

A structure to store all of the parameters related to stroking a path or basic geometry object. More...

`#include <stroke_parameters.h>`

## Public Member Functions
constexpr bool | operator== (const StrokeParameters &parameters) const
constexpr bool | operator!= (const StrokeParameters &parameters) const

## Public Attributes
Scalar | width = 0.0f
Cap | cap = Cap::kButt
Join | join = Join::kMiter
Scalar | miter_limit = 4.0f

## Detailed Description

A structure to store all of the parameters related to stroking a path or basic geometry object.

Definition at line 28 of file stroke_parameters.h.

## Member Function Documentation

## ◆ operator!=()

constexpr bool impeller::StrokeParameters::operator!= | ( | const StrokeParameters & | parameters | ) | const
| inlineconstexpr

Definition at line 39 of file stroke_parameters.h.

39 {
40 return !(*this == parameters);
41 }

## ◆ operator==()

constexpr bool impeller::StrokeParameters::operator== | ( | const StrokeParameters & | parameters | ) | const
| inlineconstexpr

Definition at line 34 of file stroke_parameters.h.

34 {
35 return parameters.width == width && parameters.cap == cap &&
36 parameters.join == join && parameters.miter_limit == miter_limit;
37 }
impeller::StrokeParameters::cap
Cap cap
Definition: stroke_parameters.h:30
impeller::StrokeParameters::join
Join join
Definition: stroke_parameters.h:31
impeller::StrokeParameters::miter_limit
Scalar miter_limit
Definition: stroke_parameters.h:32
impeller::StrokeParameters::width
Scalar width
Definition: stroke_parameters.h:29

References cap, join, miter_limit, and width.

## Member Data Documentation

## ◆ cap

Cap impeller::StrokeParameters::cap = Cap::kButt

Definition at line 30 of file stroke_parameters.h.

Referenced by impeller::Canvas::DrawArc(), impeller::DlDispatcherBase::drawPoints(), impeller::StrokeSegmentsGeometry::GetStrokeCap(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), operator==(), impeller::DlDispatcherBase::setStrokeCap(), and impeller::FirstPassDispatcher::setStrokeCap().

## ◆ join

Join impeller::StrokeParameters::join = Join::kMiter

Definition at line 31 of file stroke_parameters.h.

Referenced by impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::StrokeSegmentsGeometry::GetStrokeJoin(), operator==(), impeller::DlDispatcherBase::setStrokeJoin(), and impeller::FirstPassDispatcher::setStrokeJoin().

## ◆ miter_limit

Scalar impeller::StrokeParameters::miter_limit = 4.0f

Definition at line 32 of file stroke_parameters.h.

Referenced by impeller::StrokeSegmentsGeometry::GetMiterLimit(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::Geometry::MakeStrokePath(), operator==(), impeller::DlDispatcherBase::setStrokeMiter(), and impeller::FirstPassDispatcher::setStrokeMiter().

## ◆ width

Scalar impeller::StrokeParameters::width = 0.0f

Definition at line 29 of file stroke_parameters.h.

Referenced by impeller::BM_StrokePath(), impeller::StrokeSegmentsGeometry::ComputeAlphaCoverage(), impeller::Canvas::DrawArc(), impeller::Canvas::DrawCircle(), impeller::Canvas::DrawOval(), impeller::DlDispatcherBase::drawPoints(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::StrokeSegmentsGeometry::GetStrokeWidth(), operator==(), impeller::DlDispatcherBase::setStrokeWidth(), impeller::FirstPassDispatcher::setStrokeWidth(), and impeller::testing::TEST().

The documentation for this struct was generated from the following file:

- impeller/geometry/stroke_parameters.h